ChangeSet 1.893.2.2, 2002/12/19 14:46:51-08:00, henning@meier-geinitz.de

[PATCH] scanner.c: silence noisy debug message

The patch changes the noisy "Unable to access minor data" message to a
dbg.


diff -Nru a/drivers/usb/scanner.c b/drivers/usb/scanner.c
--- a/drivers/usb/scanner.c	Mon Jan  6 11:32:44 2003
+++ b/drivers/usb/scanner.c	Mon Jan  6 11:32:44 2003
@@ -321,6 +321,7 @@
  *      Ed Hamrick <EdHamrick@aol.com>, Oliver Schwartz
  *	<Oliver.Schwartz@gmx.de> and everyone else who sent ids.
  *    - Some Benq, Genius and Plustek ids are identified now.
+ *    - Don't clutter syslog with "Unable to access minor data" messages.
  *
  * TODO
  *    - Remove the 2/3 endpoint limitation
@@ -406,7 +407,7 @@
 	if (!p_scn_table[scn_minor]) {
 		up(&scn_mutex);
 		MOD_DEC_USE_COUNT;
-		err("open_scanner(%d): Unable to access minor data", scn_minor);
+		dbg("open_scanner(%d): Unable to access minor data", scn_minor);
 		return -ENODEV;
 	}
 
